Bug 121503 - Samba Server with shared mode does not work
Summary: Samba Server with shared mode does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-22 06:56 UTC by Yoshinobu Akimoto
Modified: 2014-08-31 23:26 UTC (History)
3 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 10:27:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yoshinobu Akimoto 2004-04-22 06:56:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Samba Server with shared mode does not work


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Click <GNOME menu> -> [System Settings] -> [Server Settings] -> 
[Samba]
2.At the Samba server configuration window, Click [Preferences] -> 
[Server Settings]
3.At the Server Settings window, Click the [Security]tab
4.In the [Security] tab, set follows
  Authentication Mode [Share], 
  Encript Passwords [Yes], 
  Guest Account [nobody]
5.Click <Add(+)>button to show the create samba share window.
6.Create and specifu a new folder with read/write permissions under 
the [/home] directory at the [Basic] tab.
7.Select the [Allow access to everyone] in the [access] tab
8.The click [OK] to finish the creation of shared folder
9.SMB Service On (in [System Setting] -> [Server Setting] -> 
[Services])
10.trusted device eth0 On in Security level ([System Setting]->
[Security Level]) 


Actual Results:  From Windws PC, samba server can be found, however, 
to access the samba server, the user name and password is required 
(dialog box opens).
So input the user name ["guest"] and password [""], but the same 
dialog box comes up again and again.


Expected Results:  After input the user name ["guest"] and password 
[""], Share folder should open

Additional info:

Comment 1 Wojciech Kazubski 2004-05-20 18:32:00 UTC
I also have problem with Samba access in security=share mode. After
upgrade from Samba 3.0.2 to 3.0.3 password is required for all shares
even with guest acces enabled. So I cannot make a share readable from
all machines in the subnet.

Comment 2 dexterthrowaway 2004-05-31 17:41:38 UTC
Same for me. Copied a working "security=share" config from FC1 to FC2.
Can no longer allow Windows, or other Linux machines, access to my
laptop without having to enter a password. Note that when accessing
from a Windows machine that has the same username and password,
browsing and access shares is not a problem.

Comment 3 dexterthrowaway 2004-06-08 14:06:27 UTC
Would like to add that this is a bug in Samba 3.0.3. Is fixed in
3.0.4. Bugzilla report is at:

https://bugzilla.samba.org/show_bug.cgi?id=1309

Hoping for an update.

Comment 4 Leonard den Ottolander 2004-06-12 16:06:49 UTC
An update for FC 1 was released a day or two ago. What about an update
for FC 2? There's not one to be found even under "testing" in the ftp
tree.


Comment 5 Chan Min Wai 2004-06-20 19:24:36 UTC
The update is already there, anyone is there can make an release?

Thank You

Comment 6 Marius Andreiana 2005-11-03 10:27:22 UTC
FC2 is no longer maintained by RedHat, an update might be available in Fedora
Legacy project.


Note You need to log in before you can comment on or make changes to this bug.